Skip to content

Update organization user

PUT
/api/v1/gen_organizations/users

Update an existing user in an organization with a specific role.

organization_id
required
Organization Id
string
UserOrganizationRequest
object
username_or_email
required
Username Or Email

Username or email of the user to add/update

string
role
required
Role

Role of the user in the organization

string
Allowed values: manager owner editor viewer
Example
viewer

Successful Response

BooleanResponse

Simple response returning a single boolean success status.

object
success
required
Success

Success status of the operation

boolean

Bad Request

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string

Forbidden: You cannot update your own role, or the role of the owner, or remove yourself from the organization.

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string
Example
{
"error": "You cannot update your own role",
"error_code": "cannot_update_own_role"
}

Not Found: User not found, or user is not a member of this organization.

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string
Example
{
"error": "User not found",
"error_code": "user_not_found"
}

Unprocessable Content: Validation error (e.g., invalid parameters).

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string
Example
{
"error": "Name is too long",
"error_code": "validation_error"
}

Internal Server Error

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string